%define name smeserver-manager-AdminLTE
%define version 11.0.0
%define release 1
Summary: AdminLTE is an html framework for admin consoles - this rpm adds it to smeserver manager2
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
URL: https://adminlte.io/
Group: SMEserver/addon
source: %{name}-%{version}.tar.gz


Packager: Brian Read <brianr@koozali.org>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
Requires: smeserver-manager >= 11.0.0
AutoReqProv: no

%description
https://adminlte.io/
AdminLTE is an html framework for admin consoles
wget https://github.com/ColorlibHQ/AdminLTE/archive/master.zip

%changelog
* Tue Mar 25 2025 Brian Read <brianr@koozali.org> 0.1.4-4.sme
- New version for AdminLTE integration with no class or ids 

%prep
%setup 

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
